//------------------------------------------------------------------------------
// NationalDebtRes.java:
//		Implementation of "control creator" class NationalDebtRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class NationalDebtRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Button        ID_SUBSCRIBE;
	Button        ID_UNSUBSCRIBE;
	Label         IDC_DEBT;
	Label         IDC_STATIC;


	// Constructor
	//--------------------------------------------------------------------------
	public NationalDebtRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 210, 95);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		ID_SUBSCRIBE = new Button ("Subscribe");
		m_Parent.add(ID_SUBSCRIBE);
		m_Layout.setShape(ID_SUBSCRIBE, 29, 65, 70, 14);

		ID_UNSUBSCRIBE = new Button ("I've Seen Enough");
		m_Parent.add(ID_UNSUBSCRIBE);
		m_Layout.setShape(ID_UNSUBSCRIBE, 109, 65, 70, 14);

		IDC_DEBT = new Label ("[debt]", Label.CENTER);
		m_Parent.add(IDC_DEBT);
		m_Layout.setShape(IDC_DEBT, 14, 32, 180, 24);

		IDC_STATIC = new Label ("National Debt Monitor", Label.CENTER);
		m_Parent.add(IDC_STATIC);
		m_Layout.setShape(IDC_STATIC, 38, 14, 134, 8);

		m_fInitialized = true;
		return true;
	}
}
