//------------------------------------------------------------------------------
// MainWinRes.java:
//		Implementation of "control creator" class MainWinRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class MainWinRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Label         IDC_STATIC1;
	Label         IDC_CURRENTDEBT;
	Label         IDC_STATIC3;
	Label         IDC_DAILYAVERAGE;
	Label         IDC_STATIC5;
	Label         IDC_PORTNUMBER;
	Label         IDC_STATIC7;
	Label         IDC_CLIENTCOUNT;
	Label         IDC_STATIC9;
	Label         IDC_DATAGRAMSENT;
	Label         IDC_STATIC11;
	Label         IDC_DATAGRAMRECD;
	Label         IDC_STATIC13;
	List          IDC_CLIENTLIST;


	// Constructor
	//--------------------------------------------------------------------------
	public MainWinRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 188, 212);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDC_STATIC1 = new Label ("Current Debt:", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 14, 15, 63, 8);

		IDC_CURRENTDEBT = new Label ("[debt]", Label.LEFT);
		m_Parent.add(IDC_CURRENTDEBT);
		m_Layout.setShape(IDC_CURRENTDEBT, 84, 15, 85, 8);

		IDC_STATIC3 = new Label ("Daily Average:", Label.LEFT);
		m_Parent.add(IDC_STATIC3);
		m_Layout.setShape(IDC_STATIC3, 14, 29, 62, 8);

		IDC_DAILYAVERAGE = new Label ("[daily avg.]", Label.LEFT);
		m_Parent.add(IDC_DAILYAVERAGE);
		m_Layout.setShape(IDC_DAILYAVERAGE, 84, 29, 85, 8);

		IDC_STATIC5 = new Label ("Port:", Label.LEFT);
		m_Parent.add(IDC_STATIC5);
		m_Layout.setShape(IDC_STATIC5, 14, 43, 62, 8);

		IDC_PORTNUMBER = new Label ("[port]", Label.LEFT);
		m_Parent.add(IDC_PORTNUMBER);
		m_Layout.setShape(IDC_PORTNUMBER, 84, 43, 89, 8);

		IDC_STATIC7 = new Label ("Client Count:", Label.LEFT);
		m_Parent.add(IDC_STATIC7);
		m_Layout.setShape(IDC_STATIC7, 14, 57, 60, 8);

		IDC_CLIENTCOUNT = new Label ("[client count]", Label.LEFT);
		m_Parent.add(IDC_CLIENTCOUNT);
		m_Layout.setShape(IDC_CLIENTCOUNT, 84, 57, 70, 8);

		IDC_STATIC9 = new Label ("Datagrams Sent:", Label.LEFT);
		m_Parent.add(IDC_STATIC9);
		m_Layout.setShape(IDC_STATIC9, 14, 71, 66, 8);

		IDC_DATAGRAMSENT = new Label ("[sent]", Label.LEFT);
		m_Parent.add(IDC_DATAGRAMSENT);
		m_Layout.setShape(IDC_DATAGRAMSENT, 84, 71, 85, 8);

		IDC_STATIC11 = new Label ("Datagrams Rec'd:", Label.LEFT);
		m_Parent.add(IDC_STATIC11);
		m_Layout.setShape(IDC_STATIC11, 14, 85, 68, 8);

		IDC_DATAGRAMRECD = new Label ("[received]", Label.LEFT);
		m_Parent.add(IDC_DATAGRAMRECD);
		m_Layout.setShape(IDC_DATAGRAMRECD, 84, 85, 85, 8);

		IDC_STATIC13 = new Label ("Client List:", Label.LEFT);
		m_Parent.add(IDC_STATIC13);
		m_Layout.setShape(IDC_STATIC13, 14, 100, 58, 8);

		IDC_CLIENTLIST = new List (1, false);
		m_Parent.add(IDC_CLIENTLIST);
		m_Layout.setShape(IDC_CLIENTLIST, 14, 110, 159, 87);

		m_fInitialized = true;
		return true;
	}
}
