//------------------------------------------------------------------------------
// OptionsRes.java:
//		Implementation of "control creator" class OptionsRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class OptionsRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Button        IDOK;
	Button        IDCANCEL;
	Label         IDC_STATIC1;
	Label         IDC_STATIC2;
	TextField     IDC_CURRENTDEBT;
	TextField     IDC_DAILYAVERAGE;


	// Constructor
	//--------------------------------------------------------------------------
	public OptionsRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 196, 101);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDOK = new Button ("OK");
		m_Parent.add(IDOK);
		m_Layout.setShape(IDOK, 42, 70, 50, 14);

		IDCANCEL = new Button ("Cancel");
		m_Parent.add(IDCANCEL);
		m_Layout.setShape(IDCANCEL, 104, 70, 50, 14);

		IDC_STATIC1 = new Label ("Current Debt:", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 14, 23, 57, 8);

		IDC_STATIC2 = new Label ("Daily Average:", Label.LEFT);
		m_Parent.add(IDC_STATIC2);
		m_Layout.setShape(IDC_STATIC2, 14, 44, 59, 8);

		IDC_CURRENTDEBT = new TextField ("");
		m_Parent.add(IDC_CURRENTDEBT);
		m_Layout.setShape(IDC_CURRENTDEBT, 80, 20, 100, 14);

		IDC_DAILYAVERAGE = new TextField ("");
		m_Parent.add(IDC_DAILYAVERAGE);
		m_Layout.setShape(IDC_DAILYAVERAGE, 80, 41, 100, 14);

		m_fInitialized = true;
		return true;
	}
}
